// Étire le contenu principal dans les pages courtes
@media screen and (min-height: 500px) {
  body {
    min-height: 100vh;
  }
  main {
    min-height: 60vh;
  }
}

// Generic overrides
a {
  text-decoration: underline;
  word-break: break-word;

  &:hover,
  &:active {
    text-decoration: none;
    img {
      outline: 3px solid $primary-decoration;
    }
  }
  &:focus {
    outline: 1px solid $primary-decoration;
    outline-offset: 3px;
    img {
      outline: 3px solid $primary-decoration;
    }
  }
}

li>p:last-child {
  margin-bottom: 1em;
}

.float-left {
  float: left;
}

// Improve affordance of selectable text
.user-select-all:hover {
  outline: 1px dotted #ccc;
  background-color: rgba($info, .3);
}

.shadow-hover {
  transition: box-shadow;
  &:hover,
  &:focus-within {
    box-shadow: $box-shadow;
  }
}

// Force underline on hover/focus only
.underline-hover {
  text-decoration: none !important;
  &:hover,
  &:focus {
    text-decoration: underline !important;
  }
}

// Remove last paragraph or list bottom margin in cards
.card-header,
.card-body,
.card-footer {
  &:last-child {
    margin-bottom: 0;
  }
}

// Make first letter uppercase
.upcase-first:first-letter {
  text-transform: uppercase;
}

// Customise alert info boxes colors, add heading, and adjust spacing
.alert-info {
  background: #eff5fb;
  padding: 0 !important;
  border: none;

  .alert-heading {
    background-color: #3e8ed0;
    color: #fff;
    padding: .75rem 1rem;
    margin: 0;
    border-top-left-radius: inherit;
    border-top-right-radius: inherit;
    font-size: 1em;
  }

  .alert-body {
    padding: .75rem 1rem;
    color: #296fa8;

    & :last-child {
      margin-bottom: 0;
    }
  }
}

// Allow using .list-group-item-action inside .list-group-item
.list-group-item {
  .list-group-item-action:last-child {
    margin: ($list-group-item-padding-y * -1)
      ($list-group-item-padding-x * -1);
    padding: $list-group-item-padding-y $list-group-item-padding-x;
    display: block;
    width: auto;
  }
}

.card {
  // Prevent list-group-item-action background from covering rounded card corners inside cards
  .list-group:last-child {
    & > .list-group-item:last-child,
    & .list-group-item:last-child > .list-group-item-action:last-child {
      border-radius: 0 0 $border-radius $border-radius;
    }
  }
}

// Temps forts
.temps-fort {
  a {
    display: flex;
    width: 100%;
    text-decoration: none !important;
    font-weight: bold;
    @include media-breakpoint-down(lg) {
      flex-direction: column;
    }
  }
  time {
    color: $black;
    display: block;
    @include media-breakpoint-up(lg) {
      width: 10rem;
      text-align: right;
      margin-right: 2rem;
    }
  }
  span {
    text-decoration: underline;
  }
  .card-title {
    margin-bottom: 0;
  }
}

// Make markdown images responsive
.markdown-image {
  display: block;
  height: auto;
  max-width: 100%;
  margin-left: auto;
  margin-right: auto;
}

img.logo-qualiopi {
  height: auto;
  max-width: 50vw;

  @include media-breakpoint-up(sm) {
    max-width: 14rem;
  }
}

.graphique-entrepreneures {
  @include media-breakpoint-up(sm) {
    max-width: 320px;
  }

  path {
    transition: all .5s cubic-bezier(0.5, -0.5, 0.25, 1.5);
    &:hover {
      opacity: .5;
      transform: scale(1.3);
    }
  }
}

.entrepreneures .card .stretched-link {
  text-decoration: none;
  &:hover,
  &:focus {
    outline: 0;
    text-decoration: underline;
  }
}
